# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import sondages.models


class Migration(migrations.Migration):

    dependencies = [
        ("portailuser", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="Choix",
            fields=[
                (
                    "id",
                    models.AutoField(
                        verbose_name="ID",
                        serialize=False,
                        auto_created=True,
                        primary_key=True,
                    ),
                ),
                ("nom", models.CharField(max_length=64, verbose_name=b"Nom")),
            ],
            options={"ordering": ["id"],},
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name="Sondage",
            fields=[
                (
                    "id",
                    models.AutoField(
                        verbose_name="ID",
                        serialize=False,
                        auto_created=True,
                        primary_key=True,
                    ),
                ),
                ("ident", models.SlugField(unique=True, max_length=64, editable=False)),
                ("est_demarre", models.BooleanField(default=False, editable=False)),
                ("supprime", models.BooleanField(default=False, editable=False)),
                (
                    "titre",
                    models.CharField(max_length=64, verbose_name=b"Titre du sondage"),
                ),
                (
                    "description",
                    models.TextField(
                        help_text=b"Quel est l'objectif de ce sondage ?",
                        verbose_name=b"Description",
                        blank=True,
                    ),
                ),
                ("date_debut", models.DateField(null=True, editable=False, blank=True)),
                (
                    "date_fin",
                    models.DateField(
                        default=sondages.models._sondage_date_fin_default,
                        verbose_name=b"Date de fin du sondage",
                    ),
                ),
                (
                    "choix_multiple",
                    models.BooleanField(
                        default=False, verbose_name=b"Autoriser les choix multiples"
                    ),
                ),
                (
                    "resultats_masques",
                    models.BooleanField(
                        default=False, verbose_name=b"R\xc3\xa9sultats masqu\xc3\xa9s"
                    ),
                ),
                (
                    "auteur",
                    models.ForeignKey(
                        related_name="sondage_auteur_set",
                        editable=False,
                        to="portailuser.PortailUser",
                        on_delete=models.CASCADE,
                    ),
                ),
            ],
            options={},
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name="Voix",
            fields=[
                (
                    "id",
                    models.AutoField(
                        verbose_name="ID",
                        serialize=False,
                        auto_created=True,
                        primary_key=True,
                    ),
                ),
                ("exprimee", models.BooleanField(default=False)),
                ("choix", models.ManyToManyField(to="sondages.Choix")),
                (
                    "sondage",
                    models.ForeignKey(to="sondages.Sondage", on_delete=models.CASCADE),
                ),
                (
                    "votant",
                    models.ForeignKey(
                        to="portailuser.PortailUser", on_delete=models.CASCADE
                    ),
                ),
            ],
            options={},
            bases=(models.Model,),
        ),
        migrations.AlterUniqueTogether(
            name="voix", unique_together={("sondage", "votant")},
        ),
        migrations.AddField(
            model_name="sondage",
            name="votants",
            field=models.ManyToManyField(
                to="portailuser.PortailUser", editable=False, through="sondages.Voix"
            ),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name="choix",
            name="sondage",
            field=models.ForeignKey(to="sondages.Sondage", on_delete=models.CASCADE),
            preserve_default=True,
        ),
        migrations.AlterUniqueTogether(
            name="choix", unique_together={("sondage", "nom")},
        ),
    ]
